Bug 983096 - Zabbix WEB doesn't work due to deprecated mysql_connect()
Summary: Zabbix WEB doesn't work due to deprecated mysql_connect()
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: zabbix (Show other bugs)
(Show other bugs)
Version: 19
Hardware: i686 Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Horák
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-10 13:40 UTC by Roman Pavlyuk
Modified: 2013-10-14 17:20 UTC (History)
7 users (show)

Fixed In Version: zabbix-2.0.8-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-13 19:54:33 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Zabbix 2.0.6 error on F19/PHP5.5 (105.63 KB, image/png)
2013-07-10 13:42 UTC, Roman Pavlyuk
no flags Details
Zabbix 2.0.6 error on F19/PHP5.5 (Screens section) (58.05 KB, image/png)
2013-07-10 13:45 UTC, Roman Pavlyuk
no flags Details

Description Roman Pavlyuk 2013-07-10 13:40:50 UTC
Description of problem:
After upgrading from F18 to F19 Zabbix WEB UI (MySQL) stopped to work correctly by rising an error:
mysql_connect(): The mysql extension is deprecated and will be removed in the future: use mysqli or PDO instead [include/db.inc.php:77]

This bug is already filed at Zabbix JIRA: https://support.zabbix.com/browse/ZBX-6020

The problem is caused by PHP 5.5 which deprecates MySQL library and force to use MySQLi.

Version-Release number of selected component (if applicable):
zabbix-2.0.6-2.fc19.i686
zabbix-agent-2.0.6-2.fc19.i686
zabbix-server-2.0.6-2.fc19.i686
zabbix-server-mysql-2.0.6-2.fc19.i686
zabbix-web-2.0.6-2.fc19.noarch
zabbix-web-mysql-2.0.6-2.fc19.noarch
php-5.5.0-1.fc19.i686
php-bcmath-5.5.0-1.fc19.i686
php-cli-5.5.0-1.fc19.i686
php-common-5.5.0-1.fc19.i686
php-gd-5.5.0-1.fc19.i686
php-mbstring-5.5.0-1.fc19.i686
php-mysqlnd-5.5.0-1.fc19.i686
php-pdo-5.5.0-1.fc19.i686
php-pear-1.9.4-19.fc19.noarch
php-pecl-jsonc-1.3.1-1.fc19.i686
php-process-5.5.0-1.fc19.i686
php-soap-5.5.0-1.fc19.i686
php-xml-5.5.0-1.fc19.i686

How reproducible:
Always

Steps to Reproduce:
1. Make sure you have Zabbix WEB UI on F18 running
2. Upgrade from F18 to F19
3. Open Zabbix WEB UI

Actual results:


Expected results:


Additional info:
Option display_errors is set to Off but the error is being shown anyway.

Comment 1 Roman Pavlyuk 2013-07-10 13:42:01 UTC
Created attachment 771618 [details]
Zabbix 2.0.6 error on F19/PHP5.5

Comment 2 Roman Pavlyuk 2013-07-10 13:45:19 UTC
Created attachment 771620 [details]
Zabbix 2.0.6 error on F19/PHP5.5 (Screens section)

Comment 3 Gilboa Davara 2013-07-11 17:26:34 UTC
AFAICS db.inc.patch seems to get zabbix up-and-running on my F19 machine (after some manual labour to fix logger and pid issues).

- Gilboa

Comment 4 Vilius Šumskas 2013-07-31 06:56:40 UTC
This should be looked at faster. It's not only warning message, but that message totally breaks all graphs display. Zabbix is unusable on F19 at this point.

Comment 5 Volker Fröhlich 2013-08-04 17:08:08 UTC
Let's see if we get a response on Monday. I'll include db.inc.patch otherwise.

Comment 6 Vilius Šumskas 2013-08-23 12:22:10 UTC
Zabbix 2.0.8 with a fix is out. Can someone repack RPM to include the latest version?

Comment 7 Vilius Šumskas 2013-09-17 09:01:45 UTC
Ping?

Comment 8 Vilius Šumskas 2013-10-02 16:56:16 UTC
Bi-weekly ping?

Comment 9 Fedora Update System 2013-10-03 20:31:02 UTC
zabbix-2.0.8-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/zabbix-2.0.8-3.fc19

Comment 10 Fedora Update System 2013-10-03 20:31:34 UTC
zabbix-2.0.8-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/zabbix-2.0.8-3.fc20

Comment 11 Fedora Update System 2013-10-03 20:31:50 UTC
zabbix-2.0.8-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/zabbix-2.0.8-3.fc18

Comment 12 Volker Fröhlich 2013-10-03 20:32:23 UTC
(In reply to Vilius Šumskas from comment #8)
> Bi-weekly ping?

Sorry it took so long! The situation wasn't very clear from the upstream side at first and maintaining zabbix and zabbix20 in 7 places is a hell lot of work. I'd be happy to have a co-maintainer.

Comment 13 Fedora Update System 2013-10-05 01:42:50 UTC
Package zabbix-2.0.8-3.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing zabbix-2.0.8-3.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18314/zabbix-2.0.8-3.fc20
then log in and leave karma (feedback).

Comment 14 Vilius Šumskas 2013-10-06 11:12:08 UTC
Looks OK on testing.

Comment 15 Fedora Update System 2013-10-13 19:54:33 UTC
zabbix-2.0.8-3.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2013-10-14 07:01:59 UTC
zabbix-2.0.8-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2013-10-14 07:06:20 UTC
zabbix-2.0.8-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2013-10-14 17:12:37 UTC
zabbix-2.0.8-3.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2013-10-14 17:20:08 UTC
zabbix-2.0.8-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.